## Roadmap

The Apache Streams Project currently has the following high-level goals:

- More support for RDF/JSON-LD Activity Streams 2.0 vocabulary as well as JSON Activity Streams 1.0 vocabulary.
 
- Continue developing the new functionality that sources data from export archives of online services (twitter, facebook, google, etc).
 
- Complete release version that includes binary distribution and official docker container.
 
- Drop remaining maven dependencies on java SDKs for accessing third-party APIs in favor of HTTP/REST interfaces via Apache Foundation code.
 
- Reduce disparities between normalized activities and objects of like type collected from various data sources.
 
- Reduce disparities between the configuration objects that initialize similar providers from various data sources.
 
- More tweets and blog posts of zeppelin notebooks demonstrating data pipelines and analyses based on Apache Streams.
 
- More official examples in source tree demonstrating integration of Apache Streams with complementary technologies.
 
- Improve the interfaces by which components are created, configured, activated, and executed via SDK and CLI.
 
- Joint development with complementary projects including Apache Any23, Apache Juneau, and Apache Kibble.
 
- Refactoring work to support compiling and tests passing on newer JDK versions 9, 10, and 11.

###### Licensed under Apache License 2.0 - http://www.apache.org/licenses/LICENSE-2.0
