/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.streams.monitoring.persist;

import java.util.List;

/**
 * Interface to define how we persist messages (JMX/monitoring related).
 */
public interface MessagePersister {

  /**
   * Given a list of messages, persist them out through whatever appropriate
   * broadcast mechanism (HTTP request, SLF4J log, etc.).
   * @param messages List of String messages
   * @return statusCode represents whether or not the persist was successful
   */
  int persistMessages(List<String> messages);
}
