/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.streams.plugins;

import java.io.File;
import java.util.List;

/**
 * Configures StreamsScalaSourceGenerator.
 */
public class StreamsScalaGenerationConfig {

  private List<String> sourcePackages;
  private String targetPackage;
  private String targetDirectory;

  public void setSourcePackages(List<String> sourcePackages) {
    this.sourcePackages = sourcePackages;
  }

  public List<String> getSourcePackages() {
    return sourcePackages;
  }

  public void setTargetPackage(String targetPackage) {
    this.targetPackage = targetPackage;
  }

  public void setTargetDirectory(String targetDirectory) {
    this.targetDirectory = targetDirectory;
  }

  public String getTargetPackage() {
    return targetPackage;
  }

  public File getTargetDirectory() {
    return new File(targetDirectory);
  }

}
