/*
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance *
http://www.apache.org/licenses/LICENSE-2.0 *
Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License. */

package org.apache.streams.util.oauth.tokens;

/**
 * AbstractOauthToken.
 */
public abstract class AbstractOauthToken {

  /**
   * Must create equals method for all OauthTokens.
   * @param object object for comparison
   * @return true if equal, and false otherwise
   */
  protected abstract boolean internalEquals(Object object);

  @Override
  public boolean equals(Object object) {
    return this.internalEquals(object);
  }
}
