/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.streams.util.api.requests.backoff;

import org.apache.streams.util.api.requests.backoff.impl.ConstantTimeBackOffStrategy;

import com.carrotsearch.randomizedtesting.RandomizedTest;
import org.junit.Assert;
import org.junit.Test;

/**
 * Unit Test for BackOffStrategy.
 */
public class ConstantTimeBackOffStrategyTest extends RandomizedTest {

  @Test
  public void constantTimeBackOffStategy() {
    AbstractBackOffStrategy backOff = new ConstantTimeBackOffStrategy(1);
    Assert.assertEquals(1, backOff.calculateBackOffTime(1,1));
    Assert.assertEquals(1, backOff.calculateBackOffTime(2,1));
    Assert.assertEquals(1, backOff.calculateBackOffTime(3,1));
    Assert.assertEquals(1, backOff.calculateBackOffTime(4,1));
    Assert.assertEquals(1, backOff.calculateBackOffTime(randomIntBetween(1, Integer.MAX_VALUE),1));
  }


}
